\newif\if@english
\@englishtrue
\DeclareOption{Persian}{
	\@englishfalse
}
\ProcessOptions\relax


\if@english
\LoadClass[a4paper,11pt,twoside]{amsproc}%
\else
\LoadClass[a4paper,11pt,twoside]{amsart}%
\fi

\usepackage[bookmarksnumbered, colorlinks, plainpages]{hyperref}
\usepackage[twoside,%
				letterpaper,includeheadfoot,%
				layoutsize={8.125in,10.875in},%
                layouthoffset=0.1875in,%
                layoutvoffset=0.0625in,%
                left=38.5pt,%
                right=43pt,%
                top=23pt,% 
                bottom=32pt,%
                headheight=35pt,
                headsep=60pt,%
                footskip=55pt]{geometry}
\RequirePackage{amsmath,amssymb,multicol, amsthm, amsfonts, amscd, soul,mathtools}
\usepackage{abstract, graphicx, fancyhdr, color, xcolor} 
\usepackage{multicol}
\RequirePackage[all]{xy} 
\usepackage[figurename=Fig., tablename=Table, labelsep=period, small,bf]{caption}
\renewcommand{\thetable}{\Roman{table}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\makeatletter
\def\author@andify{%
  \nxandlist {\unskip ,\penalty-1 \space\ignorespaces}%
    {\unskip ,~}%
    {\unskip \penalty-2 ,~}%
}
\makeatother
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\affilfont{\normalfont\fontsize{10}{12}\selectfont\centering}
\def\affil#1{\par\vskip12pt{\affilfont#1\par}\vskip15pt}
\def\Speaker{$^{*}$\protect\footnotetext{$^{*}$ S\lowercase{speaker.}}}
\def\authorsaddresses#1{\dedicatory{#1}}
\renewenvironment{abstract}
               {\list{}{}%
               \item[]\bfseries{\itshape{Abstract---}}\relax}
               {\endlist}
\newcommand{\KeyWords}[1]{
{%
\bgroup  \raggedright
 \small \par\indent{\hskip13mm\bfseries\itshape{Keywords---}#1}\par
\egroup
}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\renewcommand{\thesection}{\Roman{section}} 
\renewcommand{\thesubsection}{\it\Alph{subsection}}
\makeatletter
\def\section{\@startsection{section}{1}%
  \z@{.5\linespacing\@plus.7\linespacing}{.3\linespacing}%
  {\centering\bfseries}}
\makeatother
\makeatletter
\def\subsection{\@startsection{subsection}{2}%
  \z@{.5\linespacing\@plus.7\linespacing}{.3\linespacing}%
  {\itshape}}
\makeatother
\definecolor{bidihlcolor}{rgb}{1,1,0}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\fancypagestyle{firstpage}{%
	\fancyhead{}
	\fancyhead[C]{\includegraphics[width=500pt]{logo}}
}
\pagestyle{fancy} 
\fancyhead{}
\fancyhead[C]{\authorlastnames, \shortarticletitle\\[5mm]}
\fancyhead[L]{\includegraphics[width=500pt]{head}}
\fancyfoot[C]{\includegraphics[width=500pt]{foot}}
\renewcommand{\headrulewidth}{0pt}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\theoremstyle{definition}
%\newtheorem{definition}{Definition}
%\newtheorem{theorem}{Theorem}
%\newtheorem{corollary}{Corollary}
%\newtheorem{lemma}{Lemma}
%% End of file `ncbdu.cls'.